Bug 1508490 - [RFE][M-5] Unable to show Automate Requests without Exposing Other Automate Tabs [NEEDINFO]
Summary: [RFE][M-5] Unable to show Automate Requests without Exposing Other Automate Tabs
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.7.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: MVP
: 5.10.0
Assignee: Harpreet Kataria
QA Contact: Dmitry Misharov
URL:
Whiteboard:
Depends On:
Blocks: 1555371
TreeView+ depends on / blocked
 
Reported: 2017-11-01 14:29 UTC by myoder
Modified: 2019-02-07 23:00 UTC (History)
13 users (show)

Fixed In Version: 5.10.0.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-07 23:00:36 UTC
Category: Bug
Cloudforms Team: CFME Core
Target Upstream Version:
smallamp: needinfo? (jhardy)


Attachments (Terms of Use)
Screen shot showing the missing capability (56.57 KB, image/png)
2018-02-09 14:24 UTC, Greg Scott
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:0212 None None None 2019-02-07 23:00:47 UTC

Description myoder 2017-11-01 14:29:45 UTC
Description of problem:
Need to expose Automate => Requests tab from the Web UI without exposing any other Automate tabs (i.e. Explorer, Customization, Import/Export, Logs).  The only way to expose this in the Web UI, is to enable Services => Requests, and at least one tab from the Automate section (i.e. Explorer, Customization, etc).



Version-Release number of selected component (if applicable):
CFME 5.7, 5.8

How reproducible:
always

Steps to Reproduce:
I tested this with the role EvmRole-support.  By default this role does not have access to the Automation tab in the Web UI.  I copied this role to AA-EVMRole-support and added all of the Automate role features.  This did not allow me to see Requests under Automate.  I then enabled all the Service => Request role features.  This allowed me to see the Automate => Requests.

Actual results:
Must expose Services => Requests and at least one section from Automate Tab. 

Expected results:
Should be able to just expose Automate => Requests without having to expose another Tab from Automate and Services => Requests.

Additional info:

Comment 2 Sudhir Mallamprabhakara 2017-11-02 14:45:32 UTC
Moving the component to UI.

Comment 3 Sudhir Mallamprabhakara 2017-11-02 18:13:14 UTC
John,

This looks like an RFE and needs your input on the design change.

Comment 4 Greg Scott 2018-02-09 14:23:56 UTC
I asked the customer for input on this and here's what they sent me:

***************

Greg,

For the 01961905, Automate/requests is not in Access Control for roles.

Look at attached screen, for “services”, we had “requests” which we can turn on/off for user permission.

But for “automate”, there is NO “requests” under. If we can only change permission of “Log”. We want user to see “request”, but we do not want most user to see “Log”. Currently we cannot do that.

****************

01961905 above is the Red Hat case number attached to this RFE. I am also attaching the screenshot.

- Greg Scott

Comment 5 Greg Scott 2018-02-09 14:24:56 UTC
Created attachment 1393775 [details]
Screen shot showing the missing capability

Comment 8 CFME Bot 2018-06-18 16:11:40 UTC
New commit detected on ManageIQ/manageiq/master:

https://github.com/ManageIQ/manageiq/commit/c3de34077874c6fc45827b849394eb896637b434
commit c3de34077874c6fc45827b849394eb896637b434
Author:     Harpreet Kataria <hkataria@redhat.com>
AuthorDate: Tue Jun  5 10:10:21 2018 -0400
Commit:     Harpreet Kataria <hkataria@redhat.com>
CommitDate: Tue Jun  5 10:10:21 2018 -0400

    Added separate features for Requests subtabs

    Separated features for each "Requests" sub tab under Automation/Automate/Requests & Compute/Infrastructure/Requests to provide users with capability to allow access to each type individually. Currently there was only features for Service/Requests user was forced to have access to Service/Requests features to be able to see Automation or Host Provisioning requests.

    https://bugzilla.redhat.com/show_bug.cgi?id=1508490

 db/fixtures/miq_product_features.yml | 104 +-
 1 file changed, 103 insertions(+), 1 deletion(-)

Comment 9 CFME Bot 2018-06-18 19:11:24 UTC
New commits detected on ManageIQ/manageiq-ui-classic/master:

https://github.com/ManageIQ/manageiq-ui-classic/commit/831f64df61bf59dc06189e93331576213ff0ca31
commit 831f64df61bf59dc06189e93331576213ff0ca31
Author:     Harpreet Kataria <hkataria@redhat.com>
AuthorDate: Tue Jun  5 10:11:37 2018 -0400
Commit:     Harpreet Kataria <hkataria@redhat.com>
CommitDate: Tue Jun  5 10:11:37 2018 -0400

    Added separate features for Requests subtabs

    Separated features for each "Requests" sub tab under Automation/Automate/Requests & Compute/Infrastructure/Requests to provide users with capability to allow access to each type individually. Currently there was only features for Service/Requests user was forced to have access to Service/Requests features to be able to see Automation or Host Provisioning requests.

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1508490

 app/controllers/miq_request_controller.rb | 31 +-
 app/helpers/application_helper.rb | 1 +
 app/helpers/application_helper/button/miq_request.rb | 13 +-
 app/helpers/application_helper/button/miq_request_approval.rb | 11 +-
 app/helpers/application_helper/button/miq_request_delete.rb | 13 +-
 app/helpers/application_helper/button/miq_request_reload.rb | 19 +
 app/helpers/application_helper/toolbar/miq_request_center.rb | 4 +-
 app/helpers/application_helper/toolbar/miq_requests_center.rb | 4 +-
 app/presenters/menu/default_menu.rb | 4 +-
 spec/helpers/application_helper/buttons/miq_request_approval_spec.rb | 4 +-
 10 files changed, 90 insertions(+), 14 deletions(-)


https://github.com/ManageIQ/manageiq-ui-classic/commit/cd9253ee4852e87ad950b42014cc8ae48397048f
commit cd9253ee4852e87ad950b42014cc8ae48397048f
Author:     Harpreet Kataria <hkataria@redhat.com>
AuthorDate: Thu Jun 14 10:10:05 2018 -0400
Commit:     Harpreet Kataria <hkataria@redhat.com>
CommitDate: Thu Jun 14 10:10:05 2018 -0400

    Added rbac_feature_id method to base/subclass to get feature id

    Removed changes to override check_generic_rbac & check_button_rbac methods, instead added rbac_feature_id method to base class, overiding this new method in miq_requests controller.

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1508490

 app/controllers/application_controller.rb | 8 +-
 app/controllers/miq_request_controller.rb | 30 +-
 2 files changed, 13 insertions(+), 25 deletions(-)


https://github.com/ManageIQ/manageiq-ui-classic/commit/1cb366314771b13de13eb15fe7ebced7bab6b050
commit 1cb366314771b13de13eb15fe7ebced7bab6b050
Author:     Harpreet Kataria <hkataria@redhat.com>
AuthorDate: Fri Jun 15 10:03:12 2018 -0400
Commit:     Harpreet Kataria <hkataria@redhat.com>
CommitDate: Fri Jun 15 10:03:12 2018 -0400

    Fixed approve/deny button id to match the actual feature id.

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1508490

 app/helpers/application_helper/button/miq_request.rb | 2 +-
 app/helpers/application_helper/toolbar/miq_request_center.rb | 2 +-
 spec/helpers/application_helper/buttons/miq_request_approval_spec.rb | 4 +-
 3 files changed, 4 insertions(+), 4 deletions(-)


https://github.com/ManageIQ/manageiq-ui-classic/commit/fe511c5998e458557c4fd6c6000b193a876c15e4
commit fe511c5998e458557c4fd6c6000b193a876c15e4
Author:     Harpreet Kataria <hkataria@redhat.com>
AuthorDate: Fri Jun 15 11:27:52 2018 -0400
Commit:     Harpreet Kataria <hkataria@redhat.com>
CommitDate: Fri Jun 15 11:27:52 2018 -0400

    Removed role_allows_feature? method from subclasses

    Removed role_allows_feature? from subclasses, use the one in base MiqRequest class. Addressed PR feedback

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1508490

 app/helpers/application_helper/button/miq_request.rb | 2 +-
 app/helpers/application_helper/button/miq_request_approval.rb | 11 -
 app/helpers/application_helper/button/miq_request_delete.rb | 13 +-
 app/helpers/application_helper/button/miq_request_reload.rb | 11 -
 app/helpers/application_helper/toolbar/miq_request_center.rb | 3 +-
 5 files changed, 4 insertions(+), 36 deletions(-)


https://github.com/ManageIQ/manageiq-ui-classic/commit/5115c34442b19705cc59ef954c355522d03dc511
commit 5115c34442b19705cc59ef954c355522d03dc511
Author:     Harpreet Kataria <hkataria@redhat.com>
AuthorDate: Mon Jun 18 10:07:25 2018 -0400
Commit:     Harpreet Kataria <hkataria@redhat.com>
CommitDate: Mon Jun 18 10:07:25 2018 -0400

    Removed unneeded MiqRequestReload button helper and it's references

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1508490

 app/helpers/application_helper/button/miq_request_reload.rb | 8 -
 app/helpers/application_helper/toolbar/miq_request_center.rb | 2 +-
 app/helpers/application_helper/toolbar/miq_requests_center.rb | 2 +-
 3 files changed, 2 insertions(+), 10 deletions(-)


https://github.com/ManageIQ/manageiq-ui-classic/commit/0cff391fa90b8cbe9f7994d3844aed7a1cb19659
commit 0cff391fa90b8cbe9f7994d3844aed7a1cb19659
Author:     Harpreet Kataria <hkataria@redhat.com>
AuthorDate: Mon Jun 18 12:35:22 2018 -0400
Commit:     Harpreet Kataria <hkataria@redhat.com>
CommitDate: Mon Jun 18 12:35:22 2018 -0400

    Fixed failing spec test

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1508490

 spec/helpers/application_helper/buttons/miq_request_delete_spec.rb | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Comment 10 Dmitry Misharov 2018-07-18 12:45:13 UTC
Fixed and verified in 5.10.0.4.20180712211305_e6e4542. "Automate/Requests" tab can be exposed for a role without exposing "Service/Requests" tab.

Comment 11 errata-xmlrpc 2019-02-07 23:00:36 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:0212


Note You need to log in before you can comment on or make changes to this bug.